<script lang="ts">
    import { onMount } from 'svelte';
    import Hamburger from '$lib/ui/Hamburger.svelte';
    import BigLogo from "$lib/images/logo.svg"
    import Tooltip from '$lib/ui/Tooltip/Tooltip.svelte';
    import { periNET } from '$lib/index.js';

    let title: string = "";

    onMount(() => {
        periNET.node_production.get_product_name()
            .then(
                (result) => { title = result},
                (error) => { console.log(error) }
            );
        console.log(title);
    });
    $: if(title.length == 0) {
        title = "Product name"
    }
</script>

<div class="headline">
    <div>
        <img src={BigLogo} alt="Perinet Logo" width="180"/>
        <h2>
            {title}
        </h2>
    </div>
    <div class="hamburger">
        <Tooltip text="Open sidebar">
            <Hamburger/>
        </Tooltip>
    </div>
</div>

<style>
    .headline {
        position: fixed;
        width: 100%;
    }
    .headline img {
        float:left;
        padding-top: 5px;
        padding-left: 5px;
    }
    .headline h2 {
        font-size: 1.4rem;
        padding-top: 25px;
        text-align: center;
    }
    .headline .hamburger {
        position: fixed;
        top: 80px;
    }
</style>